// 仛僐儊儞僩枹婰擖
// FliperDefine.h: CFliperDefine 僋儔僗偺僀儞僞乕僼僃僀僗
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FLIPERDEFINE_H__F25B2199_A617_435A_8152_0D9A12D7BC5B__INCLUDED_)
#define AFX_FLIPERDEFINE_H__F25B2199_A617_435A_8152_0D9A12D7BC5B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// 斀揮岓曗峔憿懱
typedef struct
{
	CString		strLeft;		// 嵍塃斀揮岓曗
	CString		strRight;		// 媡嵍塃斀揮岓曗
} TFlip;
#include "afxtempl.h"


class CFliperDefine  
{
public:
	CFliperDefine();
	virtual ~CFliperDefine();

	void		SetEnable( BOOL bEnable ){ m_bEnable = bEnable; };
	BOOL		GetEnable(){ return( m_bEnable ); };
	CArray< TFlip, TFlip& >*	GetFliperz(){ return( &m_atFlipz ); };
	BOOL	Write();
	BOOL	Read();

	CString	Flip( CString& strSrc );
	CString	FlipChar( const char* pstrSrc, int* pByteSize );

	// 愝掕曐懚僼傽僀儖柤徧愝掕
	void	SetFilename( CString strFilename ){ m_strFinename = strFilename; };

protected:
	BOOL						m_bEnable;		// 撉傒懼偊桳岠僼儔僌 [-] (TRUE:桳岠丄FALSE:柍岠)
	CArray< TFlip, TFlip& >		m_atFlipz;		// 斀揮岓曗 [-] (-)
	CString						m_strFinename;	// 愝掕曐懚僼傽僀儖柤 [-] (-)
};

#endif // !defined(AFX_FLIPERDEFINE_H__F25B2199_A617_435A_8152_0D9A12D7BC5B__INCLUDED_)
